-- Lua Gem examples dispatcher
--
-- Assumes a URL like /app.lua/gem/exampleN/...
-- and delegates the response to exampleN.lua

require"cgilua.dispatcher"

package.path = CGILUA_APPS.."/"..cgilua.app_name.."/lua/?.lua;"..package.path


local function run_example(params)
	cgilua.app_name = params.example
	cgilua.doif(params.example..".lua")
end


if cgilua.script_vpath == nil or cgilua.script_vpath == "" then
    return cgilua.handlelp("index.lp")
else
    return cgilua.dispatcher.route{"/$example", run_example, "run"}
end