module(..., package.seeall)

local pages = {
	Home_Page = {
     title = "Home Page",
     actions = {
         show = "show_page",
         diff = "show_diff",
         history = "show_history",
     },
     get_history = function(year, month, date)
         return {
                 {version = "3", time_stamp = "2007-05-29 20:02:01"},
                 {version = "2", time_stamp = "2007-05-29 10:03:31"},
                 {version = "1", time_stamp = "2007-05-29 08:20:00"},
         }
     end
	},
	
	History = {
     title = "Site History",
     actions = {
         show = "example3_history.show_wiki_edits",
         diff = "show_diff",
         history = "show_history",
         rss = "example3_history.show_wiki_history_as_rss",
     },
     get_history = function(year, month, date)
         return {
                 {version = "3", time_stamp = "2007-05-20 10:02:01"},
                 {version = "2", time_stamp = "2007-05-20 05:00:00"},
                 {version = "1", time_stamp = "2007-05-20 04:20:00"},
         }
     end
	}
}
	
-- Model stub for the wiki examples
function get_page (page_name, version)
	return pages[page_name]
end


function get_complete_history (year, month, date)
         return {
                 {name = "History", version = "3", time_stamp = "2007-05-20 10:02:01"},
                 {name = "Foo", version = "5", time_stamp = "2007-05-20 05:00:00"},
                 {name = "Bar", version = "1", time_stamp = "2007-05-20 04:20:00"},
         }
end
